%%
%% $Id: da.tex,v 1.28 2003-03-07 10:01:20 baurma Exp $
%% $Revision: 1.28 $
%%

\documentclass{report}
\usepackage{parskip}
\usepackage{a4}
\usepackage{times}
\usepackage{makeidx}
\usepackage{moreverb}
\usepackage{fancyhdr}

\hyphenation{work-arounds}

\ifx\pdfoutput\undefined
\usepackage[dvips]{graphicx}
\else
\usepackage[pdftex]{graphicx}
\fi
\usepackage{color}
\usepackage{hyperref}
\pagestyle{fancy}
\renewcommand{\chaptermark}[1]{\markboth{#1}{}}
\renewcommand{\sectionmark}[1]{\markright{\thesection\ #1}}
\fancyhf{}
\fancyhead[LE,RO]{\bfseries\thepage}
\fancyhead[LO]{\bfseries\rightmark}
\fancyhead[RE]{\bfseries\leftmark}
\renewcommand{\headrulewidth}{0.5pt}
\renewcommand{\footrulewidth}{0pt}
%% \renewcommand{\fnum@figure}{\textbf{Fig.~\thefigure}}
\def\contentsname{Table of Contents}
\addtolength{\headheight}{0.5pt}
\fancypagestyle{plain}{%
	\fancyhead{}
	\renewcommand{\headrulewidth}{0pt}
}

%%
%% Add appropriate Meta-Information to generated PDF
%%

\ifx\pdfoutput\undefined
%% omit
\else
\hypersetup{
  pdfauthor      = {Marcel Christian Baur},
  pdftitle       = {Instrumenting Java Bytecode to Replay Execution Traces of Multithreaded Programs},
  pdfsubject     = {Diploma Thesis},
  pdfkeywords    = {Deterministic Replay, Java Bytecode Instrumentation},
  %% pdfcreator  = {LaTeX with hyperref package},
  %% pdfproducer = {dvips + ps2pdf}
}
\fi

%% \usepackage{amssymb}

\bibliographystyle{abbrv}

\title{Instrumenting Java Bytecode to Replay
Execution Traces of Multithreaded Programs}
\author{
Diploma Thesis \\
Marcel Christian Baur \\ 
baur@adbw.ch \\
\\
\begin{picture}(0,0)
%% \put(85,-290){
\put(-230,360){
	\parbox{48mm}{
		\includegraphics{ethlogo}
	}
}
\end{picture}
\\
Formal Methods Group, Computer Systems Institute, \\
Swiss Federal Institute of Technology (ETH Z\"urich)}
\date{Z\"urich, \today}
%% \thanks{this does not seem to work}
\begin{document}

\pdfbookmark[0]{Title page}{mytitle}
\maketitle



\pagenumbering{roman}
\include{layout}


\include{abstract}
\include{acknowledgements}

\setcounter{tocdepth}{1}
\tableofcontents
\addcontentsline{toc}{chapter}{Table of Contents}

%% reset to tocdepth 2, such that pdf bookmarks are detailed
\setcounter{tocdepth}{2}

\pagenumbering{arabic}

\include{intro}

%% 2. Background
\include{background}

%% 3. Related Work
\include{related}

%% 4. Problem
\include{problem}

%% 5. Solution
\include{represent}
\include{jreplayfig}
\include{jreplay}
\include{instrument}
\include{writer}

%% 6. Experiments
\include{experiments}

\include{evaluation}
%% \include{mcheck}
%%\include{debuggers}

%% 7. Evaulation/Discussion
\include{conclusion}

%% FIXME index

\appendix

%%% \pagenumbering{arabic}
\include{appjreplay}
\include{applayout}
\include{appreplayer}

\include{appexamples}

\include{appconstpool}
\include{appattribute}
\include{appattrfactory}
\include{appmfinfo}
\include{appmfinfofactory}
\include{appwriter}
\include{appbcpatchmap}
\include{appbcpatch}
\include{apprule}
\include{appinstr}
\include{appevalfactory}
\include{appexecfactory}
\include{apptaggedset}
\include{appthreadchange}
\include{appschedfileparser}
\include{appreplayfacility}

\setfontsizes{10}{12}

%% \addcontentsline{toc}{chapter}{Index}
%% \printindex

%% \pagenumbering{arabic}

\listoffigures
\addcontentsline{toc}{chapter}{List of Figures}

\bibliography{da}
\addcontentsline{toc}{chapter}{Bibliography}
%% \bibliographystyle{numeric}

\end{document}
